{% include 'all/ohmyzsh/.zshrc.j2' %}

echo

server_infos() {
DISTRO=$(cat /etc/os-release | grep PRETTY | cut -d'=' -f2)
FREE_DISK_SRV=$(df -h /srv | awk '{ a = $4 } END { print a }')
IP=$(wget http://ipecho.net/plain -O - -q ; echo)
IP_FAILOVER=$(ip a | grep -E "inet(.*eth[[:digit:]]{0,9}\:[[:digit:]]{0,9}$|.*ens[[:digit:]]{0,9}\:[[:digit:]]{0,9})" | cut -d " " -f8)
SUDO_LIST=$( (sudo -l -U app 2>/dev/null || true) | grep -E "ALL" | cut -c20-)

cat << EOF

`echo "\e[1;39m%%%%%%%%%%%%%%%%%%%%%%%%"`
`echo "\e[1;39m%     SERVER INFOS     %"`
`echo "\e[1;39m%%%%%%%%%%%%%%%%%%%%%%%%"`

`echo "\e[31mOS\e[0m"`: `echo "\e[32m$DISTRO\e[0m"`

`echo "\e[31mFree Disk /srv\e[0m"`: `echo "\e[32m$FREE_DISK_SRV\e[0m"`

`echo "\e[31m-> Outbound IP\e[0m"`: `echo "\e[32m$IP\e[0m"`
`echo "\e[31mInbound IP <-\e[0m"`:  `echo "\e[32m$IP_FAILOVER\e[0m"`

`echo "\e[31mSudo Commands Available\e[0m"`:
`echo "\e[32m$SUDO_LIST\e[0m"`

EOF
}

echo -e " \e[36m‣\e[0m \e[36mTO DISPLAY SERVER'S INFOS, USE:\e[0m
    server_infos
"

if [ -d {{ project.system_app_dir }} ] ; then cd {{ project.system_app_dir }} ; fi

